<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('episode', function (Blueprint $table) {
            $table->text('description')->after('episode');
        });

        DB::statement('UPDATE `episode` INNER JOIN `hentai` ON `episode`.`hentai_id` = `hentai`.`id` SET `episode`.`description` = `hentai`.`description`');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('episode', function (Blueprint $table) {
            $table->dropColumn('description');
        });
    }
};
